version: '3.9'

services:
  webapi:
    build:
      context: .
      dockerfile: back/Dockerfile
    image: moadiran.webapi:latest
    container_name: moadiran-webapi
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
    ports:
      - "1013:8080"
    # networks:
    #   - moadirannet

  land:
    build:
      context: .
      dockerfile: moadiran/Dockerfile
    image: moadiran.land:latest
    container_name: moadiran-land
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
    ports:
      - "81:7050"
    depends_on:
      - webapi
    # networks:
    #   - moadirannet

  webapp:
    build:
      context: .
      dockerfile: TaxPayerFull/Dockerfile
    image: moadiran.webapp:latest
    container_name: moadiran-webapp
    ports:
      - "82:5107"
    depends_on:
      - webapi
    # networks:
    #   - moadirannet





